scala.tools.jline

# UnixTerminal

#### class UnixTerminal extends TerminalSupport

Linear Supertypes
TerminalSupport, Terminal, AnyRef, Any
Known Subclasses
NoInterruptUnixTerminal
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. UnixTerminal
2. TerminalSupport
3. Terminal
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new UnixTerminal()

### Type Members

1. #### class RestoreHook extends Thread

   Attributes
     protected[scala.tools.jline]
   Definition Classes
     TerminalSupport

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from UnixTerminal to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (UnixTerminal, B)

   Implicit information
     This member is added by an implicit conversion from UnixTerminal to ArrowAssoc[UnixTerminal] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (UnixTerminal) ⇒ Boolean, msg: ⇒ Any): UnixTerminal

    Implicit information
      This member is added by an implicit conversion from UnixTerminal to Ensuring[UnixTerminal] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (UnixTerminal) ⇒ Boolean): UnixTerminal

    Implicit information
      This member is added by an implicit conversion from UnixTerminal to Ensuring[UnixTerminal] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): UnixTerminal

    Implicit information
      This member is added by an implicit conversion from UnixTerminal to Ensuring[UnixTerminal] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): UnixTerminal

    Implicit information
      This member is added by an implicit conversion from UnixTerminal to Ensuring[UnixTerminal] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from UnixTerminal to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getDefaultBindings(): InputStream

    Definition Classes
      TerminalSupport → Terminal

20. #### def getHeight(): Int

    Definition Classes
      UnixTerminal → TerminalSupport → Terminal

21. #### def getSettings(): TerminalLineSettings

    Attributes
      protected[scala.tools.jline]

22. #### def getWidth(): Int

    Definition Classes
      UnixTerminal → TerminalSupport → Terminal

23. #### def hasWeirdWrap(): Boolean

    Definition Classes
      TerminalSupport → Terminal

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### def init(): Unit

    Definition Classes
      UnixTerminal → TerminalSupport → Terminal

26. #### def installShutdownHook(hook: Thread): Unit

    Attributes
      protected[scala.tools.jline]
    Definition Classes
      TerminalSupport

27. #### def isAnsiSupported(): Boolean

    Definition Classes
      TerminalSupport → Terminal

28. #### def isEchoEnabled(): Boolean

    Definition Classes
      TerminalSupport → Terminal

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### final def isSupported(): Boolean

    Definition Classes
      TerminalSupport → Terminal

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def readCharacter(in: InputStream): Int

    Definition Classes
      TerminalSupport → Terminal

35. #### def readVirtualKey(in: InputStream): Int

    Definition Classes
      UnixTerminal → TerminalSupport → Terminal

36. #### def removeShutdownHook(): Unit

    Attributes
      protected[scala.tools.jline]
    Definition Classes
      TerminalSupport

37. #### def reset(): Unit

    Definition Classes
      TerminalSupport → Terminal

38. #### def restore(): Unit

    Definition Classes
      UnixTerminal → TerminalSupport → Terminal

39. #### def setAnsiSupported(supported: Boolean): Unit

    Attributes
      protected[scala.tools.jline]
    Definition Classes
      TerminalSupport

40. #### def setEchoEnabled(enabled: Boolean): Unit

    Definition Classes
      UnixTerminal → TerminalSupport → Terminal

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def wrapOutIfNeeded(out: OutputStream): OutputStream

    Definition Classes
      TerminalSupport → Terminal

47. #### def →[B](y: B): (UnixTerminal, B)

    Implicit information
      This member is added by an implicit conversion from UnixTerminal to ArrowAssoc[UnixTerminal] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from UnixTerminal to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unixTerminal: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from UnixTerminal to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unixTerminal: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: UnixTerminal

   Implicit information
     This member is added by an implicit conversion from UnixTerminal to ArrowAssoc[UnixTerminal] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unixTerminal: ArrowAssoc[UnixTerminal]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: UnixTerminal

   Implicit information
     This member is added by an implicit conversion from UnixTerminal to Ensuring[UnixTerminal] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unixTerminal: Ensuring[UnixTerminal]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from TerminalSupport

### Inherited from Terminal

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from UnixTerminal to StringAdd

### Inherited by implicit conversion any2stringfmt from UnixTerminal to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from UnixTerminal to ArrowAssoc[UnixTerminal]

### Inherited by implicit conversion any2Ensuring from UnixTerminal to Ensuring[UnixTerminal]

### Ungrouped